Collect
/- Gets the fiscal year and fiscal period for a particular date
Gets all of the fiscal years in the system.
Execute Batch Operations
Returns a list of records with the specified business_unit_id
Creates the next fiscal year for a business unit
Initiates workflow to close a fiscal period
Gets the current fiscal year and period
Initiates workflow to reopen a fiscal period
Returns a fiscal year from the system by its ID.
Returns a fiscal year from the system by its ID.
Partially updates a fiscal year with the specified ID.
Updates a fiscal year with the specified ID.
Gets the fiscal year and...
This method will return a fiscal year and fiscal period object
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/fiscalPeriod/{businessUnitId}/{date}
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/fiscalYears/{tenantId}/fiscalPeriod/{businessUnitId}/{date}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/fiscalPeriod/{businessUnitId}/{date}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
[ { "fiscal_period": 0.1, "fiscal_year": { … } } ]